/*
	PlastererApplet
	Copyright (C) 2004 ONO, Masayuki <mono101@skill-engineering.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef __PLASTERER_DEFINE_H__
#define __PLASTERER_DEFINE_H__

#include <syslog.h>
#define DBG_LOG( msg ) syslog( LOG_LOCAL4 | LOG_DEBUG, "%s", msg )

static const char* _version_ =
#include "../version.txt"
;

// Config File, Section, and Key Names
#define CNF_L    "Launcher"
#define SEC_WP   "WallPaper"
#define KEY_LBL  "label"
#define KEY_WFN  "wallFName"
#define CNF_P    "Plasterer"
#define KEY_SVH  "useSameImage"
#define KEY_DBI  "useDefaultBootImage"
#define KEY_HTM  "tilingModeH"
#define KEY_VTM  "tilingModeV"
#define KEY_BTM  "tilingModeBoot"
#define KEY_HFT  "fitToDispH"
#define KEY_VFT  "fitToDispV"
#define KEY_BFT  "fitToDispBoot"
#define KEY_HFN  "wallFNameH"
#define KEY_VFN  "wallFNameV"
#define KEY_BFN  "wallFNameBoot"
#define KEY_HBC  "backColorH"
#define KEY_VBC  "backColorV"
#define KEY_BBC  "backColorBoot"
#define KEY_WCO  "widthCorrection"
#define KEY_HCO  "heightCorrection"
#define KEY_VLB  "labelV"
#define KEY_HLB  "labelH"
#define KEY_BDM  "bootMessage"
#define KEY_FNT  "bootFont"
#define KEY_FSZ  "bootFontSize"
#define KEY_FCL  "bootFontColor"
#define KEY_MPS  "bootMessagePos"

// path and names of work files
#define WF_V_IMG  "vImage.png"
#define WF_H_IMG  "hImage.png"
#define WF_B_IMG  "Startup_screen.bmp"
#define WF_PATH   "Image_Files/"
#define WF_BOOT_PATH_L	"/home/QtPalmtop/pics144/"
#define WF_BOOT_PATH_S	"/home/QtPalmtop/pics/"
#define WF_DEF_BOOT_L "/usr/QtPalmtop.rom/pics144/Startup_screen.bmp"
#define WF_DEF_BOOT_S "/usr/QtPalmtop.rom/pics/Startup_screen.bmp"

// "label" ICON's Label Font Values
#define ILV_B     ( 5 )
#define ILV_W     ( 1 )
#define ILV_BBW   ( 2 )
#define ILV_WWS   ( 3 )
#define ILV_WWR   ( 4 )
#define ILV_NON   ( 6 )

// Boot Message Position
enum BOOT_MESSAGE_POSITON{
	BMPOS_TR,
	BMPOS_TC,
	BMPOS_TL,
	BMPOS_CR,
	BMPOS_CC,
	BMPOS_CL,
	BMPOS_BR,
	BMPOS_BC,
	BMPOS_BL
};
#endif // __PLASTERER_DEFINE_H__

